Other OS

Kodi not seeing OpenGL driver?

5 1200
copytco  
Hi, I am totally new to Linux, but already managed to run OMV on my Banana Pi+ with Plex and other services I wanted on Armbian.

Now I tried to run Kodi, so it could serve me both as NAS and HTPC. Firstly, I have installed xorg, then lightdm and set it up for autologin, which is working correctly. Then, I have installed Kodi 16 from git, but only gray box appears and then vanishes and screen stays black.

My first impression was it is lacking GL drivers, so I have followed this tutorial: https://forum.armbian.com/index. ... pi-orangepi-pc-etc/, tested and everything seemed to be ok. I installed Emilia Pinball to check additionally - it renders correctly.

Still, when I try to run Kodi it is gray screen, then black. I have opened Kodi log and I have found that, indeed, it does not see driver/device?


  1. 21:38:26 T:2967420928   ERROR: Failed to determine egl config for visual info21:38:26 T:2967420928   ERROR: Previous line repeats 60 times.21:38:26 T:2967420928   ERROR: EGL/GLX Error: vInfo is NULL!21:38:26 T:2967420928  NOTICE: GL_VENDOR = NULL21:38:26 T:2967420928  NOTICE: GL_RENDERER = NULL21:38:26 T:2967420928  NOTICE: GL_VERSION = NULL21:38:26 T:2967420928  NOTICE: GL_SHADING_LANGUAGE_VERSION = NULL21:38:26 T:2967420928  NOTICE: GL_EXTENSIONS = NULL21:38:26 T:2967420928   ERROR: GL: Error compiling vertex shader
Copy the Code


After this message, it is constantly repeating those, untill I close SSH connection.


  1. 21:38:30 T:2967420928   ERROR: Invalid GUI Shader selected - [guishader_frag_fonts.glsl]21:38:30 T:2967420928   ERROR: Previous line repeats 1 times.21:38:30 T:2967420928   ERROR: Invalid GUI Shader selected - [guishader_frag_texture.glsl]21:38:30 T:2967420928   ERROR: Invalid GUI Shader selected - [guishader_frag_fonts.glsl]21:38:30 T:2967420928   ERROR: Previous line repeats 1 times.21:38:30 T:2967420928   ERROR: Invalid GUI Shader selected - [guishader_frag_texture.glsl]21:38:30 T:2967420928   ERROR: Invalid GUI Shader selected - [guishader_frag_fonts.glsl]21:38:30 T:2967420928   ERROR: Previous line repeats 1 times.21:38:30 T:2967420928   ERROR: Invalid GUI Shader selected - [guishader_frag_texture.glsl]21:38:30 T:2967420928   ERROR: Invalid GUI Shader selected - [guishader_frag_fonts.glsl]21:38:30 T:2967420928   ERROR: Previous line repeats 1 times.
Copy the Code


The full log is available here: http://pasted.co/dc406eb6

I have installed drivers using normal user with sudo and I run Kodi as root using:


  1. xinit kodi
Copy the Code


What might be the issue here?


Perhaps the drivers are not for the model of banana pi you have.
I am not sure what is banana pi+...

copytco  
It is Banana Pi Pro. As far as I know, it should be working.

Ale4ko  
I also could not build kodi

Kodi not seeing OpenGL driver which see has to see. We can open this blog and make it more interesting by sharing it into the www.essayontime.com work. We must say that readers will understand the value of this blog.

This site is astounding site for those individuals who confront the troubles in offers and purchase their homes. A lot of merchants and purchasers are accessible here. This site is hundred percent great site for homework for me work. I might want to impart this data to my companions.

You have to log in before you can reply Login | Sign Up

Points Rules